CON

  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

  APIN          = 0
  BPIN          = 1

OBJ

  csv   : "csv_file_client"


VAR

  byte read, write[2]
  
PUB  start | i, ltr

  csv.start
  
  write := csv.open_write(string("TestFile"))
  
  i := 70000
  ltr := "A"
  repeat 20
    csv.write_localtime(write)
    repeat 3
      csv.write_dec(write, i++)
      csv.write_fixed(write, i++)
    csv.write_float(write, 7.1234e-12)
    letter[7] := ltr++
    csv.write_str(write, @letter)
    csv.write_str(write, string("embedded, comma"))
    csv.write_gmtime(write)
    csv.newline(write)
  csv.close(write)

  read := csv.open_read(string("TestFile"))
  write[0] := csv.open_write(string("subdirectory/NewFile"))
  csv.set_delim(write[0], "|")

  write[1] := csv.Open_append(string("subdirectory/AppendFile"))

  bytemove(@datetime, csv.get_localtime, 19)
  csv.write_str(write[1], @append_msg)
  csv.newline(write[1])

  repeat until csv.eof(read)
    csv.write_dec(write[1], csv.read_dec(read))
    csv.skip(read, 3)
    csv.write_float(write[0], csv.read_float(read))
    csv.skip(read, 1)
    csv.write_dec(write[0], csv.read_fixed(read))
    csv.skip(read, 2)
    csv.write_str(write[1], csv.read_str(read))
    csv.newline(read)
    csv.newline(write[0])
    csv.newline(write[1])    

  csv.close_all
     

DAT

letter        byte      "Letter ?", 0
append_msg    byte      "Appending new data at: "
datetime      byte      "????-??-?? ??:??:??", 0